# LN or LOG function

The LN and LOG functions return the natural logarithm (base e) of the specified number.

The specified number must be a DOUBLE PRECISION number that is greater than zero (0).

- If the specified number is NULL, the result of these functions is NULL.
- If the specified number is zero or a negative number, an exception is returned that indicates that the value is out of range (SQL state 22003).

The data type of the returned value is a DOUBLE PRECISION number.

#### Syntax

    LN ( number )

    LOG ( number )

Parent topic: Built-in functions